HP Diagnostics Server magentservice Remote Buffer Overflow Exploit

A buffer overflow in magentservice.exe within HP Diagnostics allows remote attackers to execute arbitrary code via a crafted size value in a packet.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2011-4789
Product Version: 
12.0
Released Date: 
Friday, January 27, 2012 - 00:00